<div [ngClass]="{'is-fullscreen': fullscreen}" class="component-wrapper has-background-white">
  <div class="restricted-access-container" *ngIf="isSample">
    <app-restricted-access-banner></app-restricted-access-banner>
  </div>
  <div class="table-map-header is-hidden-mobile"
    [ngClass]="{'has-only-one-right-column': !hasTable, 'has-only-table-or-map': !hasTable || !hasMap}">
    <div class="left-section" *ngIf="hasTable">
      <div class="dropdown properties-dropdown" [ngClass]="{'is-active': displayColumnsMenu}"
        (clickOutside)="closeColumsMenu()">
        <div class="dropdown-trigger">
          <button class="button button-with-icon" aria-haspopup="true" aria-controls="dropdown-menu"
            (click)="toogleColumsMenu()" i18n-aria-label="@@dataset.data.displayProperties"
            aria-label="Display the properties">
          </button>
        </div>
        <div class="dropdown-menu" id="dropdown-menu" role="menu">
          <div class="dropdown-content has-text-left">
            <div class="field dropdown-item" *ngFor="let prop of properties">
              <input class="is-checkradio has-error is-small" [disabled]="" [id]="prop" type="checkbox"
                name="selectedColumns" [checked]="columnIsSelected(prop)" (click)="toogleColumn(prop)">
              <label [for]="prop">{{ prop }}</label>
            </div>
          </div>
        </div>
      </div>

      <div class="search-bar">
        <div class="field has-addons has-addons-centered is-centered">
          <div class="control research-input" [ngClass]="{'has-icons-right': searchInput.value}">
            <input type="text" class="input" [formControl]="searchInput" placeholder="Filter records"
              i18n-aria-label="@@dataset.data.filterReccordPlaceholder" aria-label="Filter records"
              i18n-placeholder="@@dataset.data.filterReccordPlaceholder" (keydown.enter)="searchChanged()" />
            <span class="icon is-small is-right reset-research-icon" *ngIf="searchInput.value"
              (click)="resetResearch()">
              <span class="fas fa-times-circle"></span>
            </span>
          </div>
          <div class="control button-research">
            <button class="button" (click)="searchChanged()">
              <span class="icon">
                <img src="./assets/img/picto_search.svg" i18n-alt="@@dataset.data.filterReccordPlaceholder" alt="Filter records" *ngIf="!isLoading; else spinner">
                <ng-template #spinner>
                  <span class="fas fa-spinner fa-spin"></span>
                </ng-template>
              </span>
            </button>
          </div>
        </div>
      </div>

      <div class="documents-number">
        <span class="research-documents-number">
          {{ researchMaxResult }}
        </span>
        <span>/ {{ datasetDataNumber }}</span>
        <span i18n="@@dataset.data.recordsFound"> records found</span>
        <span class="result-number-bar" [ngStyle]="{'width': datasetDataNumberPercentage + '%'}"></span>
      </div>
    </div>
    <div class="right-section">
      <button class="button button-toogle-table-map" type="button" (click)="toogleTable()" *ngIf="hasTable && hasMap"
        [ngClass]="{'is-greyish': hasTable && !tableIsEnabled}">
        <img [src]="!tableIsEnabled ? './assets/img/picto_visible_off.svg' : './assets/img/picto_visible_on.svg'"
          [alt]="!tableIsEnabled ? 'Pictogramme oeil fermé' : 'Pictogramme oeil ouvert'">
        <span i18n="@@table-map.table">Table</span>
      </button>
      <button class="button button-toogle-table-map" type="button" (click)="toogleMap()" *ngIf="hasMap && hasTable"
        [ngClass]="{'is-greyish': hasMap && !mapIsEnabled}">
        <img [src]="!mapIsEnabled ? './assets/img/picto_visible_off.svg' : './assets/img/picto_visible_on.svg'"
          [alt]="!mapIsEnabled ? 'Pictogramme oeil fermé' : 'Pictogramme oeil ouvert'">
        <span i18n="@@table-map.map">Map</span>
      </button>
      <button *ngIf="APP_CONFIG.theFunctionalitiesInterruptor.openInMaps && hasMap && _userService.hasMapAcces()" class="button button-with-icon btn-new"
        type="button"
        (click)="createNewMap()" aria-label="Ouvrir dans la visionneuse" title="Ouvrir dans la visionneuse">
    </button>
      <button class="button button-with-icon"
        [ngClass]="{'btn-exit-fullscreen': fullscreen, 'btn-fullscreen': !fullscreen}" type="button"
        (click)="toogleFullscreen()" i18n-aria-label="@@dataset.data.fullscreen" aria-label="Full screen mode">
      </button>
    </div>
  </div>

  <div class="is-hidden-tablet table-map-header-mobile"
    [ngClass]="{'has-only-one-right-column': !hasTable, 'has-only-table-or-map': !hasTable || !hasMap}">
    <div class="header-first-row">
      <div class="table-research" *ngIf="hasTable">
        <div class="documents-number" [ngClass]="{'document-number-is-hidden': mobileResearchIsDisplayed}">
          <span class="research-documents-number">
            {{ researchMaxResult }}
          </span>
          <span>/ {{ datasetDataNumber }}</span>
          <span i18n="@@dataset.data.recordsFound"> records found</span>
          <span class="result-number-bar" [ngStyle]="{'width': datasetDataNumberPercentage + '%'}"></span>
        </div>
        <button class="button mobile-search-toggle-button" (click)="toogleMobileResearch()">
          <svg *ngIf="!mobileResearchIsDisplayed; else redCrossSVG" height="26" version="1.1" id="Calque_1"
            xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
            viewBox="0 0 26 26" style="enable-background: new 0 0 26 26;" xml:space="preserve">
            <path class="st0" d="M20.3,19.4L17,16.2c1-1.1,1.5-2.6,1.5-4.2c0-3.6-2.9-6.5-6.5-6.5S5.5,8.4,5.5,12s2.9,6.5,6.5,6.5
    c1.5,0,3-0.5,4.1-1.4l3.3,3.2c0.1,0.1,0.3,0.2,0.5,0.2s0.3-0.1,0.5-0.2C20.6,20.1,20.6,19.7,20.3,19.4z M6.8,12
    c0-2.9,2.3-5.2,5.3-5.2c2.9,0,5.3,2.3,5.3,5.2s-2.3,5.2-5.3,5.2C9.1,17.3,6.8,14.9,6.8,12z" />
          </svg>

          <ng-template #redCrossSVG>
            <svg width="18" class="close-btn" xmlns="http://www.w3.org/2000/svg" id="filtre-close" viewBox="0 0 15 15">
              <path
                d="M13.6 12.8L8.2 7.4l5.1-5.1c.2-.2.2-.5 0-.7s-.5-.2-.7 0l-5.1 5-5.1-5.1c-.2-.2-.5-.2-.7 0s-.2.5-.1.7l5.1 5.1-5.4 5.4c-.2.2-.2.5 0 .7.1.1.2.1.4.1s.3 0 .4-.1L7.5 8l5.4 5.4c.1.1.2.1.4.1s.3 0 .4-.1c.1-.1.1-.4-.1-.6z" />
            </svg>
          </ng-template>

        </button>
        <div class="search-bar" [ngClass]="{'search-bar-is-hidden': !mobileResearchIsDisplayed}">
          <div class="field has-addons has-addons-centered is-centered">
            <div class="control research-input" [ngClass]="{'has-icons-right': searchInput.value}">
              <input type="text" class="input" [formControl]="searchInput" placeholder="Filter records"
                i18-aria-label="@@dataset.data.filterReccordPlaceholder" aria-label="Filter records"
                i18n-placeholder="@@dataset.data.filterReccordPlaceholder" (keydown.enter)="searchChanged()" />
              <span class="icon is-small is-right reset-research-icon" *ngIf="searchInput.value"
                (click)="resetResearch()">
                <span class="fas fa-times-circle"></span>
              </span>
            </div>
            <div class="control button-research">
              <button class="button" (click)="searchChanged()">
                <span class="icon">
                  <img src="./assets/img/picto_search.svg" alt="Picto search" *ngIf="!isLoading; else spinner">
                  <ng-template #spinner>
                    <span class="fas fa-spinner fa-spin"></span>
                  </ng-template>
                </span>
              </button>
            </div>
          </div>
        </div>
      </div>

      <button class="button button-with-icon"
        [ngClass]="{'btn-exit-fullscreen': fullscreen, 'btn-fullscreen': !fullscreen}" type="button"
        (click)="toogleFullscreen()" i18n-aria-label="@@dataset.data.fullscreen" aria-label="Full screen mode">
      </button>
    </div>
    <div *ngIf="hasTable && hasMap" class="table-map-switch-button">
      <button class="button button-toogle-table-map" type="button" (click)="toogleTableMobile()"
        [ngClass]="{'is-greyish': hasTable && !mobileTableIsEnabled}">
        <img [src]="!mobileTableIsEnabled ? './assets/img/picto_visible_off.svg' : './assets/img/picto_visible_on.svg'"
          [alt]="!mobileTableIsEnabled ? 'Pictogramme oeil fermé' : 'Pictogramme oeil ouvert'">
        <span i18n="@@table-map.table">Table</span>
      </button>
      <button class="button button-toogle-table-map" type="button" (click)="toogleMapMobile()"
        [ngClass]="{'is-greyish': hasMap && !mobileMapIsEnabled}">
        <img [src]="!mobileMapIsEnabled ? './assets/img/picto_visible_off.svg' : './assets/img/picto_visible_on.svg'"
          [alt]="!mobileMapIsEnabled ? 'Pictogramme oeil fermé' : 'Pictogramme oeil ouvert'">
        <span i18n="@@table-map.map">Map</span>
      </button>
    </div>
  </div>

  <ng-container *ngIf="!isMobile else mobileTemplate">
    <div class="table-map-details-container" *ngIf="!hasTable || (hasTable && dataLoaded)" [ngClass]="{'noMap': !hasMap || (hasMap && !mapIsEnabled), 'noTable': !hasTable || (hasTable && !tableIsEnabled), 'has-restricted': isSample,
    'has-only-table-or-map': !hasTable || !hasMap}">

      <div class="table-map-container"
        [ngClass]="{'reduced': dataDetailsShouldBeAnimated && selectedData !== null && displayDataDetails === true}">
        <div class="table-component-container" [attr.aria-hidden]="hasTable && !tableIsEnabled" *ngIf="hasTable">
          <app-dataset-table [selectedProperties]="selectedProperties" [selectedFeature]="selectedFeatureId"
            [isDisplayed]="tableIsEnabled" (dataSelected)="onDataSelected($event)"
            (tableWidthModified)="onTableWidthModified()">
          </app-dataset-table>
        </div>

        <div class="map-component-container" [attr.aria-hidden]="hasMap && !mapIsEnabled" *ngIf="hasMap">
          <app-dataset-map [selectedFeature]="selectedData" [isDisplayed]="tableIsEnabled"
            (featureClicked)="onFeatureClicked($event)"></app-dataset-map>
        </div>
      </div>

      <div class="data-details-wrapper"
        [ngClass]="{'data-details-opened': dataDetailsShouldBeAnimated && selectedData !== null && displayDataDetails === true}">
        <app-dataset-data-details (close)="closeDataDetails()" [properties]="selectedFeatureProperties"
          class="app-data-details">
        </app-dataset-data-details>
      </div>
    </div>
  </ng-container>
  <ng-template #mobileTemplate>
    <div class="table-map-details-container" *ngIf="!hasTable || (hasTable && dataLoaded)" [ngClass]="{'noMap': !hasMap || (hasMap && !mobileMapIsEnabled), 'noTable': !hasTable || (hasTable && !mobileTableIsEnabled), 'has-restricted': isSample,
    'has-only-table-or-map': !hasTable || !hasMap}">

      <div class="table-map-container"
        [ngClass]="{'reduced': dataDetailsShouldBeAnimated && selectedData !== null && displayDataDetails === true}">
        <div class="table-component-container" [attr.aria-hidden]="hasTable && !mobileTableIsEnabled" *ngIf="hasTable">
          <app-dataset-table [selectedProperties]="selectedProperties" [selectedFeature]="selectedFeatureId"
            [isDisplayed]="mobileTableIsEnabled" (dataSelected)="onDataSelected($event)"
            (tableWidthModified)="onTableWidthModified()">
          </app-dataset-table>
        </div>

        <div class="map-component-container" [attr.aria-hidden]="hasMap && !mobileMapIsEnabled" *ngIf="hasMap">
          <app-dataset-map [selectedFeature]="selectedData" [isDisplayed]="mobileTableIsEnabled"
            (featureClicked)="onFeatureClicked($event)"></app-dataset-map>
        </div>
      </div>

      <div class="data-details-wrapper"
        [ngClass]="{'data-details-opened': dataDetailsShouldBeAnimated && selectedData !== null && displayDataDetails === true}">
        <app-dataset-data-details (close)="closeDataDetails()" [properties]="selectedFeatureProperties"
          class="app-data-details">
        </app-dataset-data-details>
      </div>
    </div>
  </ng-template>
</div>
